Subject: Re: linux-next: manual merge of the akpm-current tree with the tip tree

From: Peter Zijlstra <[email-masked]>
Date: Tue, 14 Jan 2014 13:51:53 +0100

On Tue, Jan 14, 2014 at 03:53:31PM +1100, Stephen Rothwell wrote:
> Hi Andrew,
> 
> Today's linux-next merge of the akpm-current tree got a conflict in
> kernel/futex.c between commit a52b89ebb6d4 ("futexes: Increase hash table
> size for better performance") from the tip tree and commit 61beee6c76e5
> ("futex: switch to USER_DS for futex test") from the akpm-current tree.
> 
> @@@ -2869,10 -2748,13 +2871,13 @@@
>   	 * implementation, the non-functional ones will return
>   	 * -ENOSYS.
>   	 */
> + 	fs = get_fs();
> + 	set_fs(USER_DS);
>   	if (cmpxchg_futex_value_locked(&curval, NULL, 0, 0) == -EFAULT)
>   		futex_cmpxchg_enabled = 1;
> + 	set_fs(fs);
>   

This seems terribly broken, the *futex_value*() ops should not need
that; they are supposed to access userspace without any of that.